irony-mode (1.6.1-2) unstable; urgency=medium

  * QA upload.
  * d/control: upgrade build-deps to llvm/clang 22 (Closes: #1124052)
  * d/control: upgrade debhelper compatibility level to 14
  * d/control: upgrade standards version to 4.7.4
  * d/watch: upgrade to version 5

 -- Luke Yasuda <jing@jing.rocks>  Fri, 28 Aug 2026 19:02:37 +0900

irony-mode (1.6.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Migrate to llvm-toolchain-19 (Closes: #1081242)

 -- Nicholas D Steeves <sten@debian.org>  Wed, 11 Sep 2024 06:36:55 -0400

irony-mode (1.6.0-4) unstable; urgency=medium

  * Orphan package.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 03 Aug 2024 19:53:10 -0400

irony-mode (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:22:49 +0900

irony-mode (1.6.0-2) unstable; urgency=medium

  * Switch to llvm-toolchain-16, and build with libclang-16-dev, clang-16,
    and llvm-16-dev.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 24 Oct 2023 16:53:14 -0400

irony-mode (1.6.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1052955).
  * Rebase quilt series onto this release.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 28 Sep 2023 13:58:25 -0400

irony-mode (1.5.0-5+deb12u1) bookworm; urgency=medium

  * Rebuild with llvm-toolchain-15 1:15.0.6-4, because the timing of the last
    upload resulted in a bin:irony-server runtime dependency on libclang1-15
    (>= 1:15.0.7-1), but llvm-toolchain-15 1:15.0.7-1 will not migrate to
    testing/bookworm (see #1032899 and #1032887).  A rebuild with 1:15.0.6-4
    is the only good solution for providing bookworm users with an irony-mode
    package built with a sufficiently recent libclang (15, not 14).  Upstream
    LLVM released version 16 on 2023-03-18, during bookworm's hard-freeze, so
    using it was never an option.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 26 Apr 2023 15:07:44 -0400

irony-mode (1.5.0-5) unstable; urgency=medium

  * Switch to llvm-toolchain-15, and build with libclang-15-dev, clang-15,
    and llvm-15-dev.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 23 Jan 2023 16:04:06 -0500

irony-mode (1.5.0-4) unstable; urgency=medium

  * Tighten irony-server dependency to guard against the possibility of
    mismatched versions.
  * Add 0002-Drop-info-which-may-confuse-users-from-README.patch which does
    exactly what it sounds like it does.
  * Update my copyright years.
  * Declare Standards-Version 4.6.1 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 02 Sep 2022 15:56:18 -0400

irony-mode (1.5.0-3) unstable; urgency=medium

  * Switch to llvm-toolchain-14, and build with libclang-14-dev, clang-14,
    and llvm-14-dev.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 08 Apr 2022 21:45:06 -0400

irony-mode (1.5.0-2) unstable; urgency=medium

  * Switch to llvm-toolchain-13, and build with libclang-13-dev, clang-13,
    and llvm-13-dev.
  * rules: Add override_dh_elpa, use sed to set $DEB_VERSION_UPSTREAM
    everywhere where the dummy version "1.2.0" appears in upstream source,
    and then cleanup; this resolves potential confusion about which version
    the Debian package contains.
  * Declare Standards-Version 4.6.0.1 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 10 Dec 2021 12:22:01 -0500

irony-mode (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.
  * Switch to llvm-toolchain-12, and build with libclang-12-dev, clang-12,
    and llvm-12-dev.
  * Switch to watch file v4 (no further changes required).

 -- Nicholas D Steeves <sten@debian.org>  Wed, 15 Sep 2021 16:56:37 -0400

irony-mode (1.4.0+7.g76fd37f-1) unstable; urgency=medium

  * New upstream snapshot.
  * Rebase patches onto 1.4.0+7.g76fd37f.
  * Drop 0002-README-Add-section-about-how-to-access-newer-version.patch
    (merged upstream).
  * Switch to llvm-toolchain-11, and build with libclang-11-dev, clang-11,
    and llvm-11-dev (Closes: #974780).
  * Migrate to debhelper-compat 13.
  * Declare Standards-Version 4.5.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 14 Nov 2020 18:27:09 -0500

irony-mode (1.4.0-2) unstable; urgency=medium

  * Drop transitional dummy package "irony-mode".
  * Add Breaks and Replaces against less than this version.
  * Elpa-irony-mode now Provides irony-mode.
  * Drop Christoph Egger from Uploaders; He has not worked on this
    package since 2016 and did not follow up on a 27 Sep 2019 email that
    requested confirmation of continued interest.
  * Add 0002-README-Add-section-about-how-to-access-newer-version.patch
    This patch adds a section documenting how backports are the
    recommended mechanism to get newer versions of Clang and irony-mode,
    and it also provides a link to Sylvestre Ledru's unofficial LLVM
    nightly repository.  While the latter method is not officially
    supported, I agree with Sylvestre that it is a valuable service to
    users who might want to live on the edge in this one aspect.  Upstream
    agrees, and in conclusion it's good for the irony-mode community.
  * Build against libclang-10.
  * Add clang-10 and llvm-10-dev to build-deps; compilation fails without
    these with the following errors: 'Could NOT find LibClang (missing:
    LIBCLANG_LIBRARY LIBCLANG_INCLUDE_DIR)' and 'Could not find a package
    configuration file provided by "LLVM" with any of the following names:
    LLVMConfig.cmake llvm-config.cmake'.
  * control: Add "Rules-Requires-Root: no".

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 28 Mar 2020 18:42:12 -0400

irony-mode (1.4.0-1) unstable; urgency=medium

  * Build against libclang-9.
  * Declare Standards-Version 4.4.1. (no changes required)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 09 Oct 2019 19:04:49 -0400

irony-mode (1.3.1-3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Switch to debhelper-compat 12.
  * Build against libclang-8.

  [ David Bremner ]
  * Team upload
  * Rebuild with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 16:53:31 -0300

irony-mode (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 10:25:58 -0300

irony-mode (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches that are part of this upstream release:
    - 02-irony-iotask-fix-spurious-failure-of-invalid-msg-test.patch
    - 03-fix-irony.el-does-not-exists-test-when-irony-server-.patch
  * Build against libclang-7 rather than 6.0. (Closes: #912801)
  * Update the copyright years range for myself.
  * debian/control: Add "Enhances: emacs".
  * Declare Standards-Version: 4.3.0. (No changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 23 Dec 2018 19:58:29 -0700

irony-mode (1.2.0-6) unstable; urgency=medium

  * debian/elpa-test: (require 'cl), for autopkgtests.  This was not
    needed in the past when running autopkgtests in an LXC, and is still
    not needed when building locally, in an LXC or any type of chroot.  It
    is unclear why DebCI requires this now (post unversioned emacs and
    post emacsen-common 3.0.2).
  * Declare Standards-Version: 4.2.0. (No additional changes needed)
  * Enable hardening=+all dpkg-buildflags.  Possibly paranoia, but we live
    in the age of Spectre, and it might be possible for evil code to break
    out via irony-server.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 11 Aug 2018 21:04:25 -0400

irony-mode (1.2.0-5) unstable; urgency=medium

  * Install upstream README.md
  * Change section to editors, which is more accurate and discoverable.
    - irony-mode is an interactive minor mode and not just a lisp library.
  * Relax debhelper dependency to allow backporting.
  * Switch Vcs from alioth to salsa.
  * Update Maintainer team name and email address.
  * Set dummy transitional package "irony-mode" to "Section: oldlibs".
  * Build against libclang-6.0 rather than 5.0. (Closes: #904277)
  * Declare Standards-Version: 4.1.5. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 22 Jul 2018 16:55:16 -0400

irony-mode (1.2.0-4) unstable; urgency=medium

  * Drop ert-helper.el.
  * Import upstream fix for failing ert test in autopkgtest:
    - Fixes "FAILED  31/41  irony/find-server-executable/does-not-exists"
  * Switch to debhelper 11.
  * Declare compat level 11.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 07 Jan 2018 18:39:00 -0500

irony-mode (1.2.0-3) unstable; urgency=medium

  * Switch to libclang-5.0-dev, now that Bug #881663 has been resolved.
  * Customise elpa-test to work around autopkgtest error.
  * Declare Standards-Version: 4.1.3. (No additional changes needed)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 28 Dec 2017 16:30:05 -0500

irony-mode (1.2.0-2) unstable; urgency=medium

  * debian/control: Add Breaks and Replaces (<< 1.2.0-1) to allow clean
    upgrades. (Closes: #880900)
  * Import upstream commit to make tests pass more reliably.
    - Adds 02-irony-iotask-fix-spurious-failure-of-invalid-msg-test.patch
  * Rename fix-install-prefix to 01-fix-install-prefix.patch
  * Allow linking with either libclang-4.0-dev | libclang-5.0-dev
    Rational: libclang-5.0-dev isn't yet in a good state for
    mipsel or mips64el.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 14 Nov 2017 17:08:27 -0500

irony-mode (1.2.0-1) unstable; urgency=medium

  * Package is now maintained by Debian Emacs addons team:
    - debian/control: Change maintainer to Debian Emacs addons team.
    - debian/control: Add primary maintainer (Christoph Egger) to Uploaders,
      and add myself.
    - debian/control: Update VCS links to use new pkg-emacsen location
      rather than collab-maint.
  * New upstream version.
  * Elpafy irony-mode. (Closes: #872689):
    - debian/rules: Add --with elpa.
    - debian/control: Add dh-elpa to Build-Depends.
    - debian/control: Split package into Arch: all elpa-irony and Arch: any
      irony-server.
    - debian/control: irony-mode is now a dummy transitional package.
    - debian/control: Require debhelper >= 10.
    - debian/compat: Require compat level 10.
    - debian/rules: Drop --parallel, because it's implicit with dh 10.
    - debian/control: Change section from x11 to lisp.
    - Drop obsolete emacsen-compat, emacsen-install, emacsen-remove,
      emacsen-startup, and install.
    - Instruct dh-elpa to bytecompile and install *.el using elpa-irony.elpa.
    - Install irony-server using irony-server.install.
    - Add Testsuite: autopkgtest-pkg-elpa.
  * debian/control:
    - Declare Standards-Version: 4.1.1. (No additional changes needed)
    - Update libclang-dev Build-Depends to use libclang-5.0-dev.
      (Closes: #873410)
    - Update short description to say this is an Emacs package.
    - Add elpa-yasnippet to Suggests.
  * Generate and install man page:
    - debian/control: Add python3-docutils to Build-Depends.
    - debian/rules: Add override_dh_installman.
    - Create debian/irony-server.manpages.
  * Add DEP-3 header to debian/patches/fix-install-prefix.
  * debian/copyright:
    - Update copyright for irony-mode from L3 of irony.el.
    - Add missing copyright for irony-cdb-libclang.el
      and server/build-aux/run-clang-tidy/run-clang-tidy.py.
    - Add myself to debian/* section.
    - Add copyright-format/1.0 header.
    - Add correct paragraph separators.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 25 Oct 2017 13:49:39 -0400

irony-mode (0.2.1-1~exp1) experimental; urgency=medium

  * Team upload (collab-maint).
  * New upstream release
    - compatible with llvm 4.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Apr 2017 13:47:43 +0200

irony-mode (0.2.0-1) unstable; urgency=medium

  * Team upload (collab-maint).
  * New upstream release.
  * Add watch file.
  * Drop llvm patch, upstream.
  * Make VCS fields in secure mode.
  * bump std-version to 3.9.8, no changes required.

  [ Tim Marston ]
  * Fix bad package autoload (Closes: #824855)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Oct 2016 10:14:16 +0200

irony-mode (0.1.2-2) unstable; urgency=medium

  * Update against newer libclang (Closes: #803650)
  * Update VCS-Browser (Closes: #803649)

 -- Christoph Egger <christoph@debian.org>  Tue, 15 Mar 2016 13:46:05 +0100

irony-mode (0.1.2-1) unstable; urgency=medium

  * New upstream version
  * Add VCS

 -- Christoph Egger <christoph@debian.org>  Sat, 03 Jan 2015 18:16:58 +0100

irony-mode (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #741024)

 -- Christoph Egger <christoph@debian.org>  Thu, 23 Oct 2014 14:29:43 +0200
